> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL. > > Documentation indexes by section: > - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt > - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt > - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt > - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt > > Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth > Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks > > OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json > MCP server: https://docusign.docs.buildwithfern.com/_mcp/server # Forms Category ## Form groups With the appropriate permissions, form administrators at your company can create form groups, or curated set of forms gathered from the association **form libraries** to which Docusign provides access. Form groups enable agents to know which forms to add to rooms based on the type of transaction they are working on. When creating groups, administrators can make certain forms required, ensuring compliance. If you don't create groups, agents will have to choose forms they need from a list of association forms. ## Permissions To manage forms, you must have the `canManageFormGroups` permission, which enables you to access the **Forms** tab in **Admin.** For all other roles, assign permissions based on how these users will be working with forms. If no form permissions are enabled for these roles, users cannot add forms to rooms. Form administrators must have the `canManageFormGroups` permission assigned to their user role. This gives them access to the **Forms** tab in **Admin.** However, you should also consider the user's access level. For example, if the user has access to specific offices, they can only administer form groups for those offices. ## [ExternalFormFillSessions](/docs/rooms-api/reference/forms/externalformfillsessions) **Description** This resource provides a method that returns a URL for a new external form fill session, based on the `roomId` and `formId` that you specify in the `formFillSessionForCreate` request body. **Methods supported** * [CreateExternalFormFillSession](/docs/rooms-api/reference/forms/externalformfillsessions/createexternalformfillsession) ## [FormDetails](/docs/rooms-api/reference/forms/formdetails) **Description** This resource contains details about a form, such as the date it was created and last updated, the number of pages, the form owner, and other information. **Methods supported** * [GetFormDetails](/docs/rooms-api/reference/forms/formdetails/getformdetails) ## [FormGroups](/docs/rooms-api/reference/forms/formgroups) **Description** The `FormGroups` resource enables you to create and manage custom groups of association forms. **Methods supported** * [AssignFormGroupForm](/docs/rooms-api/reference/forms/formgroups/assignformgroupform) * [CreateFormGroup](/docs/rooms-api/reference/forms/formgroups/createformgroup) * [DeleteFormGroup](/docs/rooms-api/reference/forms/formgroups/deleteformgroup) * [GetFormGroup](/docs/rooms-api/reference/forms/formgroups/getformgroup) * [GetFormGroupForms](/docs/rooms-api/reference/forms/formgroups/getformgroupforms) * [GetFormGroups](/docs/rooms-api/reference/forms/formgroups/getformgroups) * [GrantOfficeAccessToFormGroup](/docs/rooms-api/reference/forms/formgroups/grantofficeaccesstoformgroup) * [RemoveFormGroupForm](/docs/rooms-api/reference/forms/formgroups/removeformgroupform) * [RenameFormGroup](/docs/rooms-api/reference/forms/formgroups/renameformgroup) * [RevokeOfficeAccessFromFormGroup](/docs/rooms-api/reference/forms/formgroups/revokeofficeaccessfromformgroup) ## [FormLibraries](/docs/rooms-api/reference/forms/formlibraries) **Description** The `FormLibraries` resource enables you to access standard real estate industry association forms and add them to rooms. **Methods supported** * [GetFormLibraries](/docs/rooms-api/reference/forms/formlibraries/getformlibraries) * [GetFormLibraryForms](/docs/rooms-api/reference/forms/formlibraries/getformlibraryforms) ## [FormProviders](/docs/rooms-api/reference/forms/formproviders) **Methods supported** * [GetFormProviderAssociations](/docs/rooms-api/reference/forms/formproviders/getformproviderassociations) ## Docs - [ExternalFormFillSessions Resource](https://developers.docusign.com/docs/rooms-api/reference/forms/externalformfillsessions.md) - [FormDetails Resource](https://developers.docusign.com/docs/rooms-api/reference/forms/formdetails.md) - [FormGroups Resource](https://developers.docusign.com/docs/rooms-api/reference/forms/formgroups.md) - [FormLibraries Resource](https://developers.docusign.com/docs/rooms-api/reference/forms/formlibraries.md) - [FormProviders Resource](https://developers.docusign.com/docs/rooms-api/reference/forms/formproviders.md) ## API Docs - ExternalFormFillSessions [Create external form fill session](https://developers.docusign.com/docs/rooms-api/reference/forms/externalformfillsessions/createexternalformfillsession.md) - FormDetails [Get form details](https://developers.docusign.com/docs/rooms-api/reference/forms/formdetails/getformdetails.md) - FormGroups [Assign form to form group](https://developers.docusign.com/docs/rooms-api/reference/forms/formgroups/assignformgroupform.md) - FormGroups [Create form group](https://developers.docusign.com/docs/rooms-api/reference/forms/formgroups/createformgroup.md) - FormGroups [Delete form group](https://developers.docusign.com/docs/rooms-api/reference/forms/formgroups/deleteformgroup.md) - FormGroups [Get form group](https://developers.docusign.com/docs/rooms-api/reference/forms/formgroups/getformgroup.md) - FormGroups [Get forms of form group](https://developers.docusign.com/docs/rooms-api/reference/forms/formgroups/getformgroupforms.md) - FormGroups [Get form groups](https://developers.docusign.com/docs/rooms-api/reference/forms/formgroups/getformgroups.md) - FormGroups [Grant office access to form group](https://developers.docusign.com/docs/rooms-api/reference/forms/formgroups/grantofficeaccesstoformgroup.md) - FormGroups [Remove form from form group](https://developers.docusign.com/docs/rooms-api/reference/forms/formgroups/removeformgroupform.md) - FormGroups [Rename form group](https://developers.docusign.com/docs/rooms-api/reference/forms/formgroups/renameformgroup.md) - FormGroups [Revoke office's access to form group](https://developers.docusign.com/docs/rooms-api/reference/forms/formgroups/revokeofficeaccessfromformgroup.md) - FormLibraries [Get form libraries](https://developers.docusign.com/docs/rooms-api/reference/forms/formlibraries/getformlibraries.md) - FormLibraries [Get forms in form library](https://developers.docusign.com/docs/rooms-api/reference/forms/formlibraries/getformlibraryforms.md) - FormProviders [Get associations by provider](https://developers.docusign.com/docs/rooms-api/reference/forms/formproviders/getformproviderassociations.md) ## OpenAPI Specification The raw OpenAPI 3.1 specification for this API is available at: - [OpenAPI JSON](https://developers.docusign.com/openapi.json) - [OpenAPI YAML](https://developers.docusign.com/openapi.yaml)